DAE2EGG(1)

NAME
dae2egg - convert COLLADA assets into .egg files

SYNOPSIS
dae2egg [opts] input.dae output.egg
dae2egg [opts] -o output.egg input.dae
dae2egg [opts] input.dae >output.egg

DESCRIPTION
This program converts .dae files (COLLADA Digital Asset Exchange) to .egg.

OPTIONS

-noabs
    Don't allow the input COLLADA file to have absolute pathnames. If it does, abort with an error. This option is designed to help detect errors when populating or building a standalone model tree, which should be self-contained and include only relative pathnames.

-noexist
    Don't treat it as an error if the input file references pathnames (e.g. textures) that don't exist. Normally, this will be flagged as an error and the command aborted; with this option, an egg file will be generated anyway, referencing pathnames that do not exist.

-ignore
    Ignore non-fatal errors and generate an egg file anyway.

-invtrans
    Import the .dae file using inverted transparency. This is useful when importing COLLADA files from some authoring tools that export models with inverted transparency, such as Google SketchUp.

-ui units
    Specify the units of the input COLLADA file. Normally, this can be inferred from the file itself.

-uo units
    Specify the units of the resulting egg file. If this is specified, the vertices in the egg file will be scaled as necessary to make the appropriate units conversion; otherwise, the vertices will be left as they are.

-no Strip all normals.

-np Strip existing normals and redefine polygon normals.

-nv threshold
    Strip existing normals and redefine vertex normals. Consider an edge between adjacent polygons to be smooth if the angle between them is less than threshold degrees.

-nn Preserve normals exactly as they are. This is the default.

-tbn name
    Compute tangent and binormal for the named texture coordinate set(s). The name may include wildcard characters such as * and ?. The normal must already exist or have been computed via one of the above options. The tangent and binormal are used to implement bump mapping and related texture-based lighting effects. This option may be repeated as necessary to name multiple texture coordinate sets.

-tbnall
    Compute tangent and binormal for all texture coordinate sets. This is equivalent to -tbn "*".

-tbnauto
    Compute tangent and binormal for all normal maps.

-TS sx[,sy,sz]
    Scale the model uniformly by the given factor (if only one number is given) or in each axis by sx, sy, sz (if three numbers are given).

-TR x,y,z
    Rotate the model x degrees about the x axis, then y degrees about the y axis, and then z degrees about the z axis.

-TA angle,x,y,z
    Rotate the model angle degrees counterclockwise about the given axis.

-TT x,y,z
    Translate the model by the indicated amount. All transformation options (-TS, -TR, -TA, -TT) are cumulative and are applied in the order they are encountered on the command line.

-o filename
    Specify the filename to which the resulting egg file will be written. If this option is omitted, the last parameter name is taken to be the name of the output file, or standard output is used if there are no other parameters.

-cs coordinate-system
    Specify the coordinate system of the input COLLADA file. Normally, this can inferred from the file itself.

-h  Display this help page.